// Copyright (c) 2002-2007 Telelogic AB
// All rights reserved.

/*
<trigger>
	<usage>bsf warn_about_missing_trelations.js trelation_name</usage>
	<version>5.0</version>
	<description>
		警告をログに印刷する以外は何も実行しないトリガーです。
		このトリガーは、アップグレード不可の trelation に代わって、自動的に実行され、古い trelation が今後使われなくなることをユーザーに知らせます。</description>
	<argument1>
		<name>trelation_name</name>
		<required>必須</required>
		<type>string</type>
		<description>使用されなくなる trelation の名前。</description>
	</argument1>
</trigger>
*/
var log = bsf.lookupBean('log');
var args = bsf.lookupBean('args');

var trelation = args[0] || '<trelation name not found>';

log.warn('Your previously defined trelation--' + trelation + '--could not be upgraded and is no longer being used. '
	+ 'The trelation feature has been deprecated. You must replace trelations with trigger scripts.');
